package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.MwfData;

import java.util.Map;
import java.util.HashMap;

public class MWFGK8Data implements MwfData {

    private Map<String, Object> params = new HashMap<>();
    
    private MWFGK8Data() {}

    public static MWFGK8Data builder() {
        return new MWFGK8Data();
    }

    public MWFGK8Data rsRcdrzitelekarty(String rsRcdrzitelekarty) {
        params.put("RS_RCDRZITELEKARTY", rsRcdrzitelekarty);
        return this;
    }

    public MWFGK8Data rsAdresaucel(String rsAdresaucel) {
        params.put("RS_ADRESAUCEL", rsAdresaucel);
        return this;
    }

    public MWFGK8Data rsCisloorientacni(String rsCisloorientacni) {
        params.put("RS_CISLOORIENTACNI", rsCisloorientacni);
        return this;
    }

    public MWFGK8Data rsCislopopisne(String rsCislopopisne) {
        params.put("RS_CISLOPOPISNE", rsCislopopisne);
        return this;
    }

    public MWFGK8Data rsCisloproduktu(String rsCisloproduktu) {
        params.put("RS_CISLOPRODUKTU", rsCisloproduktu);
        return this;
    }

    public MWFGK8Data rsMesto(String rsMesto) {
        params.put("RS_MESTO", rsMesto);
        return this;
    }

    public MWFGK8Data rsPsc(String rsPsc) {
        params.put("RS_PSC", rsPsc);
        return this;
    }

    public MWFGK8Data rsProdukttype(String rsProdukttype) {
        params.put("RS_PRODUKTTYPE", rsProdukttype);
        return this;
    }

    public MWFGK8Data rsSystemid(String rsSystemid) {
        params.put("RS_SYSTEMID", rsSystemid);
        return this;
    }

    public MWFGK8Data rsUlice(String rsUlice) {
        params.put("RS_ULICE", rsUlice);
        return this;
    }

    public MWFGK8Data rsZeme(String rsZeme) {
        params.put("RS_ZEME", rsZeme);
        return this;
    }

    public MWFGK8Data rsProdukttyperetezec(String rsProdukttyperetezec) {
        params.put("RS_PRODUKTTYPERETEZEC", rsProdukttyperetezec);
        return this;
    }

    public MWFGK8Data rsPosta(String rsPosta) {
        params.put("RS_POSTA", rsPosta);
        return this;
    }

    public MWFGK8Data rsCtvrt(String rsCtvrt) {
        params.put("RS_CTVRT", rsCtvrt);
        return this;
    }

    public MWFGK8Data rsOkres(String rsOkres) {
        params.put("RS_OKRES", rsOkres);
        return this;
    }

    public MWFGK8Data rsAdresat(String rsAdresat) {
        params.put("RS_ADRESAT", rsAdresat);
        return this;
    }

    public MWFGK8Data rsCisloproduktumaster(String rsCisloproduktumaster) {
        params.put("RS_CISLOPRODUKTUMASTER", rsCisloproduktumaster);
        return this;
    }

    public MWFGK8Data rsCisloproduktumask(String rsCisloproduktumask) {
        params.put("RS_CISLOPRODUKTUMASK", rsCisloproduktumask);
        return this;
    }

    public MWFGK8Data rsIdentifikator(Long rsIdentifikator) {
        params.put("RS_IDENTIFIKATOR", rsIdentifikator);
        return this;
    }

    public MWFGK8Data rsLzezmenit(String rsLzezmenit) {
        params.put("RS_LZEZMENIT", rsLzezmenit);
        return this;
    }

    public MWFGK8Data rsNovaadresa(String rsNovaadresa) {
        params.put("RS_NOVAADRESA", rsNovaadresa);
        return this;
    } 

    public Map<String, Object> getParams() {
        return params;
    }

}
